Subject: Re: [Anima] [Last-Call] Post approval change on draft-ietf-anima-bootstrapping-keyinfra (fwd) Mark Nottingham: Re: [Last-Call] Post approval change on draft-ietf-anima-bootstrapping-keyinfra

From: Michael Richardson <[email-masked]>
Date: Mon, 21 Sep 2020 12:16:24 -0400

Subject: Re: [Last-Call] Post approval change on draft-ietf-anima-bootstrapping-keyinfra
From: Mark Nottingham <[email-masked]>
To: Michael Richardson <[email-masked]>
Cc: [email-masked], Warren Kumari <[email-masked]>
Date: Mon, 21 Sep 2020 14:37:01 +1000

Hi Michael (et al),

I noticed two things about that diff:

1. 8.3.1 says 'IANA is asked to change the registration of "est" to include RFC7030 and this document.' I don't see any use of the `est` well-known URI in this document; why is that update necessary?

2. 8.3.2 asks for the BRSKI registry to be a sub-registry of the well-known URI registry. I'm concerned that if adopted as common practice, this will make crowd the well-known URI registry with a number of application-specific sub-registries. As such my (fairly strong) preference would be for this registry to be separate from it.

Cheers,

> On 17 Sep 2020, at 1:08 am, Michael Richardson <[email-masked]> wrote:
> 
> 
> Warren Kumari <[email-masked]> wrote:
>> having to assume EST. Therefore the above BRSKI diff (and BRSKI-AE) propose
>> to introduce a /.well-known/brski registry.
> 
> I believe that I ran the text by Mark, who I believe is the /.well-known
> expert reviewer.  I believe that he said that it looked good, but it would be
> great if Mark could confirm that I got it right.
> 
>>> Dear ANIMA WG
>>> 
>>> This email starts a 2 week call for consensus to modify draft-ietf-anima-bootstrapping-keyinfra
>>> such that new well-known URIs introduced by BRSKI will use a /.well-known/brski
>>> prefix instead of the pre-existing /.well-known/est prefix.
>>> 
>>> The proposed change can be seen at the following rfcdiff URL:
>>> 
>>> https://www.ietf.org/rfcdiff?url1=draft-ietf-anima-bootstrapping-keyinfra-43&url2=draft-richardson-anima-brski-renamed-00
>>> 
>>> This consensus call will end on September 14, 23:59 UTC
>>> This consensus call is ONLY for said change and not for any other aspects of BRSKI.
> 
> Existing implementers have agreed to the change.
> 
> --
> Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
>           Sandelman Software Works Inc, Ottawa and Worldwide
> 
> 
> 
> 

--
Mark Nottingham   https://www.mnot.net/

Subject: Re: [Last-Call] Post approval change on draft-ietf-anima-bootstrapping-keyinfra
From: Michael Richardson <[email-masked]>
To: Mark Nottingham <[email-masked]>
Cc: [email-masked], Warren Kumari <[email-masked]>
Date: Mon, 21 Sep 2020 12:15:28 -0400
List-Id: IETF Last Calls <last-call.ietf.org>

Mark Nottingham <[email-masked]> wrote:
    > I noticed two things about that diff:

    > 1. 8.3.1 says 'IANA is asked to change the registration of "est" to
    > include RFC7030 and this document.' I don't see any use of the `est`
    > well-known URI in this document; why is that update necessary?

Previously, all of the things in this document were /.well-known/est/FOOBAR.
They are now, /.well-known/brski/FOOBAR.
IANA has actually already acted on section 8.3.1, btw.
We need them to undo that.

I guess that section 8.3.1 should be removed, which I'll do.
I guess since the WG has passed this change, I should push the new version.

How about if I change it to:

          <t>
            IANA is asked to change the registration of "est" to now only
            include RFC7030 and no longer this document.

    > 2. 8.3.2 asks for the BRSKI registry to be a sub-registry of the
    > well-known URI registry. I'm concerned that if adopted as common
    > practice, this will make crowd the well-known URI registry with a
    > number of application-specific sub-registries. As such my (fairly
    > strong) preference would be for this registry to be separate from it.

So rather than asking for a sub-registry, you'd like us to just establish a
registry.

          <t>
            IANA is requested to create a new Registry entitled: "BRSKI well-known URIs".

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

--
last-call mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/last-call